/*###ICF### Section handled by ICF editor, don't touch! ****/
/*-Editor annotation file-*/
/* IcfEditorFile="$TOOLKIT_DIR$\config\ide\IcfEditor\cortex_v1_0.xml" */
/*-Specials-*/
define symbol __ICFEDIT_intvec_start__ = 0x90780000;
/*-Memory Regions-*/
define symbol __ICFEDIT_region_ROM_start__ = 0x90780000;
define symbol __ICFEDIT_region_ROM_end__   = 0x9097FFFF;
define symbol __ICFEDIT_region_RAM_start__ = 0x20000000;
define symbol __ICFEDIT_region_RAM_end__   = 0x2004C000;

define symbol __ICFEDIT_region_QSPI_assets_start__ = 0x90980000;
define symbol __ICFEDIT_region_QSPI_assets_end__   = 0x90EFFFFF;

/*-Sizes-*/
define symbol __ICFEDIT_size_cstack__ = 0x800;
define symbol __ICFEDIT_size_heap__   = 0x1000;
/**** End of ICF editor section. ###ICF###*/

define memory mem with size = 4G;
define region ROM_region         = mem:[from __ICFEDIT_region_ROM_start__         to __ICFEDIT_region_ROM_end__];
define region QSPI_assets_region = mem:[from __ICFEDIT_region_QSPI_assets_start__ to __ICFEDIT_region_QSPI_assets_end__];
define region RAM_region         = mem:[from __ICFEDIT_region_RAM_start__         to __ICFEDIT_region_RAM_end__];

define block CSTACK    with alignment = 8, size = __ICFEDIT_size_cstack__   { };
define block HEAP      with alignment = 8, size = __ICFEDIT_size_heap__     { };

initialize by copy { readwrite };
do not initialize  { section .noinit };

place at address mem:__ICFEDIT_intvec_start__ { readonly section .intvec };

place in ROM_region     { readonly };
place in RAM_region     { readwrite, block CSTACK, block HEAP };

place in QSPI_assets_region { section ExtFlashSection, section TextFlashSection, section FontFlashSection };